Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class RemittanceInformationSDDChoice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.RemittanceInformationSDDChoice

    public class RemittanceInformationSDDChoice
    extends java.lang.Object

Java class for RemittanceInformationSDDChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceInformationSDDChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Ustrd" type="{urn:swift:xsd:$pain.008.002.01}Max140Text"/>
               <element name="Strd" type="{urn:swift:xsd:$pain.008.002.01}StructuredRemittanceInformationSDD"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected StructuredRemittanceInformationSDD` `strd`
`protected java.lang.String` `ustrd`

### Constructor Summary

Constructors
`RemittanceInformationSDDChoice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StructuredRemittanceInformationSDD` `getStrd()` Gets the value of the strd property.
`java.lang.String` `getUstrd()` Gets the value of the ustrd property.
`void` `setStrd​(StructuredRemittanceInformationSDD value)` Sets the value of the strd property.
`void` `setUstrd​(java.lang.String value)` Sets the value of the ustrd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ustrd

    protected java.lang.String ustrd

#### strd

    protected StructuredRemittanceInformationSDD strd

### Constructor Detail

#### RemittanceInformationSDDChoice

    public RemittanceInformationSDDChoice()

### Method Detail

#### getUstrd

    public java.lang.String getUstrd()

Gets the value of the ustrd property.

Returns:
  possible object is `String`

#### setUstrd

    public void setUstrd​(java.lang.String value)

Sets the value of the ustrd property.

Parameters:
  `value` - allowed object is `String`

#### getStrd

    public StructuredRemittanceInformationSDD getStrd()

Gets the value of the strd property.

Returns:
  possible object is `StructuredRemittanceInformationSDD`

#### setStrd

    public void setStrd​(StructuredRemittanceInformationSDD value)

Sets the value of the strd property.

Parameters:
  `value` - allowed object is `StructuredRemittanceInformationSDD`